package com.example.Vezba.service;

import com.example.Vezba.model.Podkategorija;
import com.example.Vezba.repository.PodkategorijaRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class PodkategorijaService implements IPodkategorijaService{
    @Autowired
    PodkategorijaRepository podkategorijaRepository;

    @Override
    public List<Podkategorija> findByIdPodkategorije(List<Integer> ids) {
        return podkategorijaRepository.findAllById(ids);
    }

    @Override
    public List<Podkategorija> findAll() {
        return podkategorijaRepository.findAll();
    }

    @Override
    public Podkategorija findById(int id) {
        return podkategorijaRepository.findById(id).get();
    }
}
